%define upstream_name    Test-Strict
%define upstream_version 0.53

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check syntax, presence of use strict; and test coverage
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Find) >= 0.10.0
BuildRequires: perl(File::Spec) >= 0.10.0
BuildRequires: perl(File::Temp) >= 0.10.0
BuildRequires: perl(FindBin) >= 0.10.0
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(Test::Builder) >= 0.10.0
BuildRequires: perl(Test::More) >= 1.0.0
BuildArch:  noarch

%description
The most basic test one can write is "does it compile ?". This module tests if
the code compiles and play nice with Test::Simple modules.

Another good practice this module can test is to "use strict;" in all perl
files.

By setting a minimum test coverage through all_cover_ok(), a code author can
ensure his code is tested above a preset level of kwality throughout the
development cycle.

Along with Test::Pod, this module can provide the first tests to setup for a
module author.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
for fn in t/92-manifest.t t/93-checkmanifest.t ; do
    cat <<'EOF' > "$fn"
use strict;
use warnings;
use Test::More tests => 1;
pass("foo");
EOF
done
%make_build

%check
make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Test

%changelog
* Wed Jul 24 2024 tv <tv> 0.530.0-1.mga10
+ Revision: 2082458
- update to 0.53

* Mon Mar 21 2022 umeabot <umeabot> 0.520.0-3.mga9
+ Revision: 1811677
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.520.0-2.mga8
+ Revision: 1526787
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 0.520.0-1.mga8
+ Revision: 1415763
- update to 0.52

* Thu Sep 20 2018 umeabot <umeabot> 0.470.0-2.mga7
+ Revision: 1286814
- Mageia 7 Mass Rebuild

* Sat Aug 25 2018 shlomif <shlomif> 0.470.0-1.mga7
+ Revision: 1254046
- update to 0.47

* Sun Feb 25 2018 shlomif <shlomif> 0.450.0-1.mga7
+ Revision: 1205012
- update to 0.45

* Sat Jan 13 2018 shlomif <shlomif> 0.400.0-1.mga7
+ Revision: 1192723
- New version 0.40

* Tue Oct 03 2017 tv <tv> 0.390.0-2.mga7
+ Revision: 1166926
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 0.390.0-1.mga7
+ Revision: 1141613
- update to 0.39

* Sun Jun 19 2016 pterjan <pterjan> 0.360.0-2.mga6
+ Revision: 1034646
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 0.360.0-1.mga6
+ Revision: 1002483
- Add missing BR
- New version 0.36
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild
+ tv <tv>
- new release

* Wed Oct 14 2015 sander85 <sander85> 0.280.0-1.mga6
+ Revision: 891568
- update to 0.28

* Sat Jul 04 2015 sander85 <sander85> 0.270.0-1.mga6
+ Revision: 849971
- update to 0.27

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-3.mga5
+ Revision: 746581
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-2.mga5
+ Revision: 686549
- Mageia 5 Mass Rebuild

* Thu Mar 13 2014 jquelin <jquelin> 0.230.0-1.mga5
+ Revision: 603019
- update to 0.23

* Sat Oct 19 2013 umeabot <umeabot> 0.220.0-2.mga4
+ Revision: 527404
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.220.0-1.mga4
+ Revision: 439983
- update to 0.22

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 373785
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.170.0-1.mga3
+ Revision: 342708
- update to 0.17

* Mon Jan 24 2011 jquelin <jquelin> 0.140.0-1.mga1
+ Revision: 37209
- mageia rebuild
- imported package perl-Test-Strict

